package com.cn.tianji.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@TableName("comprehensive_log")
@Data
public class ComprehensiveLog implements Serializable, Cloneable {

    /**
     * 主键
     */
    @TableId
    private String id;
    /**
     * 井号
     */
    private String jh;
    /**
     * 预警时间
     */
    private String warnTime;
    /**
     * 预警类别:卡钻、溢流、井漏
     */
    private String warnType;
    /**
     * 预警内容
     */
    private String warnContent;
    /**
     * 预警级别
     */
    private BigDecimal warnLevel;
    /**
     * 预警主键
     */
    private String warnIds;
    /**
     * 预警点工况
     */
    private String workingCondition;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;
}
