package com.cn.tianji.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 钩载预警数据表;
 *
 * @author : http://www.chiner.pro
 * @date : 2024-5-29
 */
@TableName("HOOK_LOAD_WARN_LOG")
@Data
public class HookLoadWarnLog implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 井号
     */
    private String jh;

    /**
     * 预警点动作
     */
    private String motion;

    /**
     * 预警点工况
     */
    private String workingCondition;

    /**
     * 预警点工况类别:起钻、下钻、起钻——活动钻具、下钻-活动钻具、钻进活动钻具
     */
    private String workingConditionType;

    /**
     * 预警点时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date warnTime;

    /**
     * 预警点钩载
     */
    private BigDecimal warnWoh;

    /**
     * 预警点大钩高度
     */
    private BigDecimal warnHkh;

    /**
     * 预警点钻头位置
     */
    private BigDecimal warnBitdepth;

    /**
     * 活动钻具钩载
     */
    private BigDecimal mobilDrillingToolsWoh;

    /**
     * 活动钻具起点时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date mobilDrillingToolsStartTime;

    /**
     * 活动钻具结束时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date mobilDrillingToolsEndTime;

    /**
     * 活动钻具最大值
     */
    private BigDecimal mobilDrillingToolsMaxWoh;

    /**
     * 活动钻具最小值
     */
    private BigDecimal mobilDrillingToolsMinWoh;

    /**
     * 参考值起点时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date referenceStartTime;

    /**
     * 参考值结束时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date referenceEndTime;

    /**
     * 参考柱钩载最大值
     */
    private BigDecimal referenceMaxWoh;

    /**
     * 参考柱钩载最小值
     */
    private BigDecimal referenceMinWoh;

    /**
     * 参考柱钩载值
     */
    private BigDecimal referenceWoh;

    /**
     * 钻杆重量
     */
    private BigDecimal columnWeight;

    /**
     * 预警阈值
     */
    private BigDecimal warnValue;

    /**
     * 描述
     */
    private String warnDes;


    /**
     * 备注
     */
    private String remake;

    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;


    /**
     * 活动钻具大钩起点位置
     */
    private BigDecimal hkhStart;

    /**
     * 活动钻具大钩结束位置
     */
    private BigDecimal hkhEnd;

    /**
     * 钻头位置差值
     */
    private BigDecimal hkhSub;

    /**
     * 钩载波动值除以钻头位置差值
     */
    private BigDecimal hkhWoh;
}
