package com.cn.tianji.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 泵压预警数据;
 *
 * @author : http://www.chiner.pro
 * @date : 2024-6-6
 */
@TableName("PUMPING_PRESSURE_WARN_LOG")
@Data
public class PumpingPressureWarnLog implements Serializable {

    @TableId
    private String id;
    /**
     * 井号
     */
    private String jh;
    /**
     * 预警点动作
     */
    private String motion;
    /**
     * 预警点工况
     */
    private String workingCondition;
    /**
     * 预警点时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date warnTime;
    /**
     * 预警点立管压力
     */
    private BigDecimal warnSpp;
    /**
     * 预警点总泵冲
     */
    private BigDecimal warnTotalPump;
    /**
     * 预警点时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date referenceTime;
    /**
     * 参考点立管压力
     */
    private BigDecimal referenceSpp;
    /**
     * 参考点总泵冲
     */
    private BigDecimal referenceTotalPump;
    /**
     * 立管压力阈值
     */
    private BigDecimal sppWarnValue;
    /**
     * 总泵冲阈值
     */
    private BigDecimal pumpWarnValue;

    /**
     * 泵冲差值
     */
    private BigDecimal totalPumpSub;
    /**
     * 立管压力差值
     */
    private BigDecimal sppSub;

    /**
     * 预警描述
     */
    private String warnDes;

    /**
     * 数据类别:0:起点 1结束点
     */
    private String dataType;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
