package com.cn.tianji.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * LTD录井数据实体类
 * @author Zhao RenJi
 */
@Data
public class WellDrilling implements Serializable {

    /**
     *井号
     */
    private String jh;

    private String tid;

    @TableId
    private String time;

    private BigDecimal id;

    /**
     *井深
     */
    private BigDecimal depth;

    /**
     *垂直井深
     */
    private BigDecimal vdepth;

    /**
     *状态
     */
    private BigDecimal stat;

    /**
     *迟到时间
     */
    private BigDecimal lagtime;

    /**
     *迟到泵冲
     */
    private BigDecimal lagstrokes;

    /**
     *迟到井深
     */
    private BigDecimal lagdepth;

    /**
     *钻头位置
     */
    private BigDecimal bitdepth;

    /**
     *井底上空
     */
    private BigDecimal bitoff;

    /**
     *方入
     */
    private BigDecimal kellyin;

    /**
     *大钩高度
     */
    private BigDecimal hkh;

    /**
     *大钩速度
     */
    private BigDecimal hks;

    /**
     *大钩负荷
     */
    private BigDecimal woh;

    /**
     *计算大钩负荷
     */
    private BigDecimal wohCalc;

    /**
     *钻具视重
     */
    private BigDecimal floatWeight;

    /**
     *转盘转速
     */
    private BigDecimal rpm;

    /**
     *瞬间钻时
     */
    private BigDecimal ropInst;

    /**
     *上米钻时
     */
    private BigDecimal ropMavg;

    /**
     *钻压
     */
    private BigDecimal wob;

    /**
     *扭矩
     */
    private BigDecimal torque;

    /**
     *顶驱扭矩
     */
    private BigDecimal tdTorque;

    /**
     *立管压力
     */
    private BigDecimal spp;

    /**
     *套管压力
     */
    private BigDecimal whp;

    /**
     *1#泵冲
     */
    private BigDecimal pump1;

    /**
     *2#泵冲
     */
    private BigDecimal pump2;

    /**
     *3#泵冲
     */
    private BigDecimal pump3;

    /**
     *总泵冲
     */
    private BigDecimal pumptotal;

    /**
     *泵冲1累计数
     */
    private BigDecimal strokes1;

    /**
     *泵冲2累计数
     */
    private BigDecimal strokes2;

    /**
     *泵冲3累计数
     */
    private BigDecimal strokes3;

    /**
     *总泵冲累计数
     */
    private BigDecimal strokestotal;

    /**
     *瞬间钻速
     */
    private BigDecimal vopInst;

    /**
     *上米钻速
     */
    private BigDecimal vopMavg;

    /**
     *入口流量
     */
    private BigDecimal flowin;

    /**
     *出口流量
     */
    private BigDecimal flowout;

    /**
     *出口流量% 百分比
     */
    private BigDecimal flowoutpercent;

    /**
     *入口密度
     */
    private BigDecimal mwin;

    /**
     *出口密度
     */
    private BigDecimal mwout;

    /**
     *入口温度
     */
    private BigDecimal tempin;

    /**
     *出口温度
     */
    private BigDecimal tempout;

    /**
     *入口电导
     */
    private BigDecimal condin;

    /**
     *出口电导
     */
    private BigDecimal condout;

    /**
     *当量密度
     */
    private BigDecimal ecd;

    /**
     *1#池体积
     */
    private BigDecimal pit1;

    /**
     *2#池体积
     */
    private BigDecimal pit2;

    /**
     *3#池体积
     */
    private BigDecimal pit3;

    /**
     *4#池体积
     */
    private BigDecimal pit4;

    /**
     *5#池体积
     */
    private BigDecimal pit5;

    /**
     *6#池体积
     */
    private BigDecimal pit6;

    /**
     *7#池体积
     */
    private BigDecimal pit7;

    /**
     *8#池体积
     */
    private BigDecimal pit8;

    /**
     *9#池体积
     */
    private BigDecimal pit9;

    /**
     *10#池体积
     */
    private BigDecimal pit10;

    /**
     *11#池体积
     */
    private BigDecimal pit11;

    /**
     *12#池体积
     */
    private BigDecimal pit12;

    /**
     *起下钻池体积
     */
    private BigDecimal triptandvol;

    /**
     *活动池体积
     */
    private BigDecimal actpittotal;

    /**
     *总池体积
     */
    private BigDecimal pittotal;

    /**
     *泥浆溢漏
     */
    private BigDecimal gainlossvol;

    /**
     *甲烷
     */
    private BigDecimal c1;

    /**
     *乙烷
     */
    private BigDecimal c2;

    /**
     *丙烷
     */
    private BigDecimal c3;

    /**
     *异丁烷
     */
    private BigDecimal ic4;

    /**
     *正丁烷
     */
    private BigDecimal nc4;

    /**
     *异戊烷
     */
    private BigDecimal ic5;

    /**
     *正戊烷
     */
    private BigDecimal nc5;

    /**
     *新戊烷
     */
    private BigDecimal ec5;

    /**
     *异己烷
     */
    private BigDecimal ic6;

    /**
     *正己烷
     */
    private BigDecimal nc6;

    /**
     *总烃
     */
    private BigDecimal tg;

    /**
     *二氧化碳
     */
    private BigDecimal co2;

    /**
     *氢气
     */
    private BigDecimal h2;

    /**
     *硫化氢1
     */
    private BigDecimal h2s1;

    /**
     *硫化氢2
     */
    private BigDecimal h2s2;

    /**
     *硫化氢3
     */
    private BigDecimal h2s3;

    /**
     *硫化氢4
     */
    private BigDecimal h2s4;

    /**
     *硫化氢5
     */
    private BigDecimal h2s5;

    /**
     *硫化氢6
     */
    private BigDecimal h2s6;

    /**
     *硫化氢7
     */
    private BigDecimal h2s7;

    /**
     *硫化氢8
     */
    private BigDecimal h2s8;

    /**
     *钻具总长
     */
    private BigDecimal stringlen;

    /**
     *当前单根
     */
    private BigDecimal curpipe;

    /**
     *钻头序号
     */
    private BigDecimal bitno;

    /**
     *钻头尺寸
     */
    private BigDecimal bitsize;

    /**
     *钻头类型
     */
    private BigDecimal bittype;

    /**
     *钻头进尺
     */
    private BigDecimal bitrun;

    /**
     *钻头入井时间
     */
    private BigDecimal bittime;

    /**
     *纯钻时间
     */
    private BigDecimal bitdrilltime;

    /**
     *钻进成本
     */
    private BigDecimal bitcost;

    /**
     *钻井天数
     */
    private BigDecimal totaldays;

    /**
     *已提下立柱数
     */
    private BigDecimal standsdone;

    /**
     *未提下立柱数
     */
    private BigDecimal standstogo;

    /**
     *提钻超拉
     */
    private BigDecimal tripoverpull;

    /**
     *DC指数
     */
    private BigDecimal dc;

    /**
     *Sigma指数
     */
    private BigDecimal sigma;

    private BigDecimal free95;

    private BigDecimal free96;

    private BigDecimal free97;

    private BigDecimal free98;

    private BigDecimal free99;

    private BigDecimal free100;

    private BigDecimal free101;

    private BigDecimal free102;

    private BigDecimal free103;

    private BigDecimal free104;

    private BigDecimal free105;

    private BigDecimal free106;

    private BigDecimal free107;

    private BigDecimal free108;

    private BigDecimal free109;

    private BigDecimal free110;

    private BigDecimal free111;

    private BigDecimal free112;

    private BigDecimal free113;

    private BigDecimal free114;

    private BigDecimal free115;

    private BigDecimal free116;

    private BigDecimal free117;

    private BigDecimal free118;

    private BigDecimal free119;

    private BigDecimal free120;

    /**
     * 工况
     */
    private String operatingMode;

    /**
     * 动作
     */
    private String motion;
}
