package com.cn.tianji.enums;

import lombok.Getter;

/**
 * 钻进工况动作枚举
 * @author Zhao RenJi
 */
@Getter
public enum DrillingConditionDeterminationEnum {
    /**
     *坐卡
     */
    InSlips("坐卡"),

    /**
     *待命
     */
    Standby("待命"),

    /**
     *干钻
     */
    DryDrill("干钻"),

    /**
     *滑动钻进
     */
    SlidingDrilling("滑动钻进"),

    /**
     *旋转钻进
     */
    RotaryDrilling("旋转钻进"),

    /**
     *停待
     */
    StopAndWait("停待"),

    /**
     *停泵空转
     */
    StopPumpAndIdle("停泵空转"),

    /**
     *静止循环
     */
    StationaryCycle("静止循环"),

    /**
     *循环空转
     */
    CycleIdle("循环空转"),

    /**
     *上提钻具
     */
    LiftingDrillingTools("上提钻具"),

    /**
     *干倒划
     */
    DryInvertedScratch("干倒划"),

    /**
     *边提边循环
     */
    LoopWhileLifting("边提边循环"),

    /**
     *倒划眼
     */
    BackReaming("倒划眼"),

    /**
     *下放钻具
     */
    LoweringDrillingTools("下放钻具"),
    /**
     *干划眼
     */
    DryEyeScratching("干划眼"),

    /**
     *坐卡
     */
    LoopWhilePlacing("边放边循环"),

    /**
     *待命
     */
    Reaming("划眼");

    private final String value;

    DrillingConditionDeterminationEnum(String value) {
        this.value = value;
    }
}
