package com.cn.tianji.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cn.tianji.entity.HookLoadWarnLog;
import com.cn.tianji.entity.WellDrilling;

import java.math.BigDecimal;

/**
 * 钩载预警数据表;(hook_load_warn_log)表服务接口
 * @author : zrj
 * @date : 2024-5-29
 */
public interface HookLoadWarnLogService extends IService<HookLoadWarnLog> {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    HookLoadWarnLog queryById(String id);
    /**
     * 新增数据
     *
     * @param hookLoadWarnLog 实例对象
     * @return 实例对象
     */
    HookLoadWarnLog insert(HookLoadWarnLog hookLoadWarnLog);
    /**
     * 更新数据
     *
     * @param hookLoadWarnLog 实例对象
     * @return 实例对象
     */
    HookLoadWarnLog update(HookLoadWarnLog hookLoadWarnLog);

    void saveHookLoadWarnLog(WellDrilling nowPoint, String workingCondition, String workingConditionType, String motion,
                             String referenceStartTime, String referenceEndTime, BigDecimal referenceWoh, BigDecimal referenceMaxWoh, BigDecimal referenceMinWoh,
                             BigDecimal columnWeight, BigDecimal warnValue);

    void saveMobilDrillingToolsHookLoadWarnLog(String jh,String workingCondition,String workingConditionType,String motion,
                                               String mobilDrillingToolsStartTime,String mobilDrillingToolsEndTime,BigDecimal mobilDrillingToolsWoh,BigDecimal mobilDrillingToolsMaxWoh,BigDecimal mobilDrillingToolsMinWoh,
                                               String referenceStartTime,String referenceEndTime,BigDecimal referenceWoh, BigDecimal referenceMaxWoh,BigDecimal referenceMinWoh,
                                               BigDecimal warnValue);

    /**
     * 生成新的活动钻具算法预警实体类
     * @param jh 井号
     * @param workingCondition 工况
     * @param workingConditionType 预警点工况类别:起钻、下钻、起钻——活动钻具、下钻-活动钻具、钻进活动钻具
     * @param motion 动作
     * @param mobilDrillingToolsWoh 活动钻具钩载波动值
     * @param hkhSub 钻头位置差值
     * @param mobilDrillingToolsStartTime 活动钻具开始时间
     * @param mobilDrillingToolsMaxWoh 活动钻具钩载最大值
     * @param mobilDrillingToolsMinWoh 活动钻具钩载最小值
     * @param mobilDrillingToolsEndTime 活动钻具结束时间
     * @param hkhStart 钻头起点位置
     * @param hkhEnd 钻头结束位置
     * @param wohHkhRes 钩载除以钻头位置值
     * @param warnValue 预警值
     * @return HookLoadWarnLog
     */
    HookLoadWarnLog creatNewMobilDrillingToolsHookLoadWarnLog(String jh,String workingCondition,String workingConditionType,String motion,
                                                  BigDecimal mobilDrillingToolsWoh,BigDecimal hkhSub,String mobilDrillingToolsStartTime,
                                                  BigDecimal mobilDrillingToolsMaxWoh,BigDecimal mobilDrillingToolsMinWoh,
                                                  String mobilDrillingToolsEndTime,BigDecimal hkhStart,BigDecimal hkhEnd,
                                                  BigDecimal wohHkhRes,BigDecimal warnValue);
}
