package com.cn.tianji.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cn.tianji.entity.PumpingPressureWarnLog;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 泵压预警数据;(pumping_pressure_warn_log)表服务接口
 * @author : http://www.chiner.pro
 * @date : 2024-6-6
 */
public interface PumpingPressureWarnLogService  extends IService<PumpingPressureWarnLog> {
    /**
     * 通过ID查询单条数据
     *
     * @param jh 主键
     * @return 实例对象
     */
    PumpingPressureWarnLog queryById(String jh);

    /**
     * 新增数据
     *
     * @param pumpingPressureWarnLog 实例对象
     * @return 实例对象
     */
    PumpingPressureWarnLog insert(PumpingPressureWarnLog pumpingPressureWarnLog);
    /**
     * 更新数据
     *
     * @param pumpingPressureWarnLog 实例对象
     * @return 实例对象
     */
    PumpingPressureWarnLog update(PumpingPressureWarnLog pumpingPressureWarnLog);

    /**
     * 生成泵压预警日志数据实体类
     * @param jh 井号
     * @param workingCondition 工况
     * @param motion 动作
     * @param warnTime 预警点时间
     * @param warnSpp 预警点立管压力
     * @param warnTotalPump 预警点总泵冲
     * @param referenceTime 参考点时间
     * @param referenceSpp 参考点立管压力
     * @param referenceTotalPump 参考点总泵冲
     * @param totalPumpSub 立管压力差值
     * @param sppSub 立管压力差值
     * @param sppWarnValue 立管压力阈值
     * @param pumpWarnValue 总泵冲阈值
     * @return PumpingPressureWarnLog
     */
    PumpingPressureWarnLog createPumpingPressureWarnLog(String jh, String workingCondition , String motion, Date warnTime, BigDecimal warnSpp,BigDecimal warnTotalPump,
                                                        Date referenceTime,BigDecimal referenceSpp,BigDecimal referenceTotalPump,BigDecimal totalPumpSub,BigDecimal sppSub,
                                                        BigDecimal sppWarnValue,BigDecimal pumpWarnValue);
}
