package com.cn.tianji.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cn.tianji.common.StringUtils;
import com.cn.tianji.entity.Ajh;
import com.cn.tianji.mapper.AjhMapper;
import com.cn.tianji.service.AjhService;
import com.cn.tianji.service.WlwmroDataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.management.Query;
import java.util.List;
import java.util.Map;

/**
 * @author Zhao RenJi
 */
@Service
@Slf4j
public class AjhServiceImpl extends ServiceImpl<AjhMapper, Ajh> implements AjhService {

    @Resource
    private WlwmroDataService wlwmroDataService;


    @Override
    public void saveData(String jh) {
        log.info("开始更新井号:{}", jh);
        QueryWrapper<Ajh> wrapper = new QueryWrapper<>();
        wrapper.lambda().eq(Ajh::getJH, jh);
        Ajh one = this.getOne(wrapper);
        if (StringUtils.isNull(one)) {
            List<Map<String, String>> zjrb3Maps = wlwmroDataService.selectZjrb3ByJh(jh);
            log.info("钻井日报数据:{}",zjrb3Maps);
            if (zjrb3Maps != null) {
                if (zjrb3Maps.size() > 0) {
                    Map<String, String> zjrb3Map = zjrb3Maps.get(0);
                    Ajh saveModel = getAjhModel(jh, zjrb3Map);
                    log.info("要存的井号数据1:{}", saveModel);
                    this.save(saveModel);
                }else{
                    Ajh saveModel = getAjhModelNull(jh);
                    log.info("要存的井号数据2:{}", saveModel);
                    this.save(saveModel);
                }
            }else{
                Ajh saveModel = getAjhModelNull(jh);
                log.info("要存的井号数据2:{}", saveModel);
                this.save(saveModel);
            }
        } else {
            log.info("井号已存在:{}", jh);
        }
    }

    public Ajh getAjhModel(String jh, Map<String, String> zjrb3Map) {
        Ajh saveModel = new Ajh();
        saveModel.setJH(jh);
        saveModel.setZjy(0);
        saveModel.setLtd(1);
        saveModel.setDH(zjrb3Map.get("DH")==null?"":zjrb3Map.get("DH"));
        saveModel.setSGYQ(zjrb3Map.get("SGYQ")==null?"":zjrb3Map.get("SGYQ").toString());
        saveModel.setSJDW(zjrb3Map.get("DWMC")==null?"":zjrb3Map.get("DWMC").toString());
        saveModel.setKZRQ(zjrb3Map.get("KZRQ")==null?"":zjrb3Map.get("KZRQ").toString());
        saveModel.setZjyDay("");
        saveModel.setDT(zjrb3Map.get("DT")==null?"":zjrb3Map.get("DT").toString());
        saveModel.setEJDW(zjrb3Map.get("DWMC")==null?"":zjrb3Map.get("DWMC").toString());
        saveModel.setJJRQ("");
        saveModel.setLtdDay(zjrb3Map.get("RQ")==null?"":zjrb3Map.get("RQ").toString());
        saveModel.setFOCUS("");
        saveModel.setJFDW(zjrb3Map.get("JFDW")==null?"":zjrb3Map.get("JFDW").toString());
        saveModel.setSGDD(zjrb3Map.get("SGDD")==null?"":zjrb3Map.get("SGDD").toString());
        saveModel.setJB(zjrb3Map.get("JB")==null?"":zjrb3Map.get("JB").toString());
        saveModel.setJB(zjrb3Map.get("JX")==null?"":zjrb3Map.get("JX").toString());
        saveModel.setNOTFOUND("0");
        saveModel.setDSSJ(zjrb3Map.get("DSJS")==null?"":zjrb3Map.get("DSJS").toString());
        saveModel.setSJJS(zjrb3Map.get("SJJS")==null?"":zjrb3Map.get("SJJS").toString());
        return saveModel;
    }
    public Ajh getAjhModelNull(String jh) {
        Ajh saveModel = new Ajh();
        saveModel.setJH(jh);
        saveModel.setZjy(0);
        saveModel.setLtd(1);
        saveModel.setSJDW("其他");
        saveModel.setEJDW("其他");
        return saveModel;
    }

}
