package com.cn.tianji.rocketMq;

import com.alibaba.fastjson.JSONObject;
import com.cn.tianji.common.RedisUtil;
import com.cn.tianji.entity.WellDrilling;
import com.cn.tianji.service.HookLoadService;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.common.message.MessageExt;
import org.apache.rocketmq.spring.annotation.ConsumeMode;
import org.apache.rocketmq.spring.annotation.RocketMQMessageListener;
import org.apache.rocketmq.spring.core.RocketMQListener;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;

@Slf4j
@Component
@RocketMQMessageListener(topic = "topic-well_log", consumerGroup = "${rocketmq.consumer.group}",
        selectorExpression = "*",  consumeMode = ConsumeMode.ORDERLY,consumeThreadMax =30 )
public class SimpleConsumer implements RocketMQListener<MessageExt> {
//TAG:well_log_round_trip
    @Resource
    private HookLoadService hookLoadService;


    SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    @Resource
    private RedisUtil redisUtil;
    @Override
    public void onMessage(MessageExt  message) {
        // 打印传递的消息
        WellDrilling model= JSONObject.parseObject(message.getBody(), WellDrilling.class);
        log.info("Receive message 钩载：线程名称:{},队列:{}，井号:{} ;时间:{};工况:{};动作:{}", Thread.currentThread().getName() , message.getQueueId(),model.getJh() ,model.getTime(),model.getOperatingMode() ,model.getMotion());
        if("起下钻".equals(model.getOperatingMode())){
            try {
                hookLoadService.hookLoadWarn(model);
            }catch (Exception e){
                e.printStackTrace();
                log.error("异常井信息:井号:{};工况:{};动作:{},时间:{},钩载:{}",model.getJh(),model.getOperatingMode(),model.getMotion(),model.getTime(),model.getWoh());
                log.error(e.toString());
            }
        }
//        else{
//            String redisHasKey = model.getJh() + "_hook_load_real_time_computing";
//            redisUtil.del(redisHasKey);
//        }
    }
}
