package com.cn.tianji.controller;

import com.alibaba.fastjson.JSONObject;
import com.cn.tianji.common.Result;
import com.cn.tianji.entity.HookLoadWarnLog;
import com.cn.tianji.entity.WellDrillingSICP;
import com.cn.tianji.entity.WellName;
import com.cn.tianji.entity.WorkingConditionCalculationLog;
import com.cn.tianji.service.PullWellDrillingDataService;
import com.cn.tianji.service.PullWellDrillingSICPDataService;
import com.cn.tianji.service.WarnSerive;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

@Slf4j
@RestController
@RequestMapping("/pullWellDrillingData")
public class PullWellDrillingDataController {
    @Resource
    private PullWellDrillingDataService pullWellDrillingDataService;

    @Resource
    private PullWellDrillingSICPDataService pullWellDrillingSICPDataService;

    @Resource
    private WarnSerive warnSerive;

    @GetMapping
    public Result<?> workingConditionCalculation(@RequestParam("workingConditionCalculationLogId") String workingConditionCalculationLogId){
        pullWellDrillingDataService.pullData(workingConditionCalculationLogId);
        return Result.OK();
    }

    @PostMapping("saveWorkingConditionCalculationLog")
    public Result<?> saveWorkingConditionCalculationLog(@RequestBody WorkingConditionCalculationLog workingConditionCalculationLogModel){
        pullWellDrillingDataService.saveWorkingConditionCalculationLog(workingConditionCalculationLogModel);
        return Result.OK();
    }
    @GetMapping("sendListData")
    public Result<?> sendListData(@RequestParam("workingConditionCalculationLogIds") List<String> listId){
        pullWellDrillingDataService.pullListData(listId);
        return Result.OK();
    }

    @GetMapping("getWarnLog")
    public Result<?> getWarnLog( @RequestParam("jh")String jh,@RequestParam("startTime")String startTime,@RequestParam("endTime")String endTime){
        List<HookLoadWarnLog> warnLog = pullWellDrillingDataService.getWarnLog(jh, startTime, endTime);
        return Result.OK(warnLog);
    }

    @GetMapping("getAllJhSicp")
    public Result<List<WellName>>  getAllJhSicp(){
        List<WellName> allJhSicp = pullWellDrillingDataService.getAllJhSicp();
        return Result.OKH(allJhSicp,allJhSicp.size());
    }

    @GetMapping("syncTableData")
    public Result< List<WellDrillingSICP> > syncTableData(String jh, String startTime){
        return Result.OK(pullWellDrillingDataService.syncTableData(jh,startTime));
    }

    @GetMapping("updatePullJhList")
    public Result<?> updatePullJhList(){
        pullWellDrillingSICPDataService.updatePullJhList();
        return Result.OK();
    }

    @GetMapping("updateAllJh")
    public Result<?> updateAllJh(){
        pullWellDrillingDataService.updateAjh();
        return Result.OK();
    }

    @GetMapping("updateWarnDataBatch")
    public Result<?> updateWarnDataBatch(){
        warnSerive.updateWarnDataBatch();
        return Result.OK();
    }

}
