package com.cn.tianji.service.impl;

import com.cn.tianji.service.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
@Slf4j
public class WarnSeriveImpl implements WarnSerive {

    @Resource
    private YjWohWarnValueService wohWarnValueService;

    @Resource
    private YjPumpingWarnValueService pumpingWarnValueService;

    @Resource
    private YjTorqueWarnValueService torqueWarnValueService;

    @Resource
    private YjTotalPoolWarnValueService totalPoolWarnValueService;

    @Resource
    private WellDrillingService wellDrillingService;


    @Override
    public void updateWarnDataBatch(){
        List<String> tableNames = wellDrillingService.tableNames();
        List<String> jhList = filterJh(tableNames);
        log.info("井号数量");
        jhList.forEach(item->{
            String jh = getJh(item);
            log.info("更新井号:{}",jh);
            wohWarnValueService.getOneDataByJh(jh);
            pumpingWarnValueService.getListByJh(jh);
            torqueWarnValueService.getListByJh(jh);
            totalPoolWarnValueService.getListByJh(jh);
        });
        log.info("更新完成");
    }

    public List<String> filterJh( List<String> jhList) {
        jhList.remove("SYNC_RECORD");
        jhList.remove("WELL_MATH_TIME");
        jhList.remove("WELL_NEW_TABLE");
        jhList.remove("WELL_MATH_UP_TIME");
        jhList.remove("DRILLING_CONDITIONS_LOG");
        return jhList;
    }

    public String getJh(String jhTableName) {
        //井号预处理
        jhTableName = jhTableName.replace("\"", "");
        String s = jhTableName.replace('_', '-').toUpperCase();
        return s.replace("LTD-", "");
    }
}
