package com.cn.tianji.rocketMq;

import com.alibaba.fastjson.JSONObject;
import com.cn.tianji.entity.WellDrilling;
import com.cn.tianji.service.TorqueWarnService;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.common.message.MessageExt;
import org.apache.rocketmq.spring.annotation.ConsumeMode;
import org.apache.rocketmq.spring.annotation.RocketMQMessageListener;
import org.apache.rocketmq.spring.core.RocketMQListener;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Slf4j
@Component
@RocketMQMessageListener(topic = "topic-well_log", consumerGroup = "${rocketmq.consumer.group}",
        selectorExpression = "*",  consumeMode = ConsumeMode.ORDERLY,consumeThreadMax =30)
public class SimpleConsumer implements RocketMQListener<MessageExt> {

    @Resource
    private TorqueWarnService torqueWarnService;

    @Override
    public void onMessage(MessageExt  message) {
        WellDrilling model= JSONObject.parseObject(message.getBody(), WellDrilling.class);
        // 打印传递的消息
        try {
            log.info("Receive messag 扭矩e：线程名称:{},队列:{}，井号:{} ;时间:{};工况:{};动作:{}", Thread.currentThread().getName() , message.getQueueId(),model.getJh() ,model.getTime(),model.getOperatingMode() ,model.getMotion());
            if("钻进".equals(model.getOperatingMode())) {
                torqueWarnService.torqueWarn(model);
            }
        }catch (Exception e){
            e.printStackTrace();
            log.error("异常井：{},时间:{},工况:{},动作:{}",model.getJh() ,model.getTime(),model.getOperatingMode() ,model.getMotion());
            log.error(e.toString());
        }

    }
}
