package com.cn.tianji.service.impl;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.cn.tianji.common.RedisUtil;
import com.cn.tianji.entity.WellDrilling;
import com.cn.tianji.entity.YjPumpingWarnValue;
import com.cn.tianji.entity.YjTorqueWarnValue;
import com.cn.tianji.entity.YjTotalPoolWarnValue;
import com.cn.tianji.service.*;
import com.cn.tianji.util.CommonUtil;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;

/**
 *钩载预警
 * @author Zhao RenJi
 */
@Service
@Slf4j
public class TotalPoolVolumeWarnServiceImpl implements TotalPoolVolumeWarnService {

    @Resource
    private TotalPoolVolumeService totalPoolVolumeService;

    @Resource
    private YjTotalPoolWarnValueService totalPoolWarnValueService;

    @Resource
    private RedisUtil redisUtil;

    public String warnValueKey="_total_warn_value_key";

    @SneakyThrows
    @Override
    public void totalPoolVolumeWarn(WellDrilling nowPoint){
        String jh = nowPoint.getJh();
        String redisHasKey = jh + "_total_pool_volume_real_time_computing";
        List<YjTotalPoolWarnValue> warnValueDatas = getWarnValues(jh);
        BigDecimal warnBitdepth = warnValueDatas.get(0).getBitdepth();
//        BigDecimal warnValue = BigDecimal.valueOf(100);
        BigDecimal bitdepth = nowPoint.getBitdepth();
        int isIntoButtom = bitdepth.compareTo(warnBitdepth);
        if(isIntoButtom>0){
            totalPoolVolumeService.totalPoolVolumeWarn(nowPoint,redisHasKey,warnValueDatas);
        }else{
            boolean b = redisUtil.hasKey(redisHasKey);
            if(b){
                redisUtil.del(redisHasKey);
            }
        }
    }

    public List<YjTotalPoolWarnValue> getWarnValues(String jh){
        String warnKey=jh+warnValueKey;
        boolean isWarnKey = redisUtil.hasKey(warnKey);
        List<YjTotalPoolWarnValue> list=new ArrayList<>();
        if(isWarnKey){
            Object o = redisUtil.get(warnKey);
            list = CommonUtil.castList(o, YjTotalPoolWarnValue.class);
        }else{
            list=totalPoolWarnValueService.getListByJh(jh);
            redisUtil.set(warnKey,list);
        }
        return list;
    }


}
