package com.cn.tianji.common;

import com.cn.tianji.entity.WellDrilling;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 起下钻缓存数据
 * @author Zhao RenJi
 */
@Data
public class DrillingHookLoadCatch  implements Serializable {

    /**
     * 井号
     */
    private String jh;

    /**
     * 上提钻具缓存数据记录步骤;0:未开始 1 记录参考柱数据中 2待记录预警数据 3 记录预警数据中
     */
    private Integer upperDrillingToolSteps;

    /**
     * 下放钻具缓存数据记录步骤;0:未开始 1 记录参考柱数据中 2待记录预警数据 3 记录预警数据中
     */
    private Integer downDrillingToolSteps;

    /**
     * 上提钻具参考柱数据
     */
    private List<WellDrilling> upperReferenceData;

    /**
     * 下放钻具参考柱数据
     */
    private List<WellDrilling> downReferenceData;

    /**
     * 上提钻具预警柱数据
     */
    private List<WellDrilling> upperWarnData;

    /**
     * 下放钻具预警柱数据
     */
    private List<WellDrilling> downWarnData;

    /**
     * 上提钻具参考柱波动值数据
     */
    private BigDecimal upperReferenceValue;


    /**
     * 上提钻具参考柱波动值数据
     */
    private BigDecimal downReferenceValue;


}
