package com.cn.tianji.common;

import com.cn.tianji.entity.HookLoadCatch;
import com.cn.tianji.entity.WellDrilling;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 起下钻缓存数据
 * @author Zhao RenJi
 */
@Data
public class DrillingOutHookLoadCatch implements Serializable {

    /**
     * 井号
     */
    private String jh;

    /**
     * 数据记录步骤 1:开始记录 2:开始计算并记录当前柱数据
     */
    private Integer  recordingSteps;

    /**
     * 当前井工况
     */
    private String workingCondition;

    /**
     * 当前柱缓存数据
     */
    private List<HookLoadCatch> nowColumnData;

    /**
     * 上一柱缓存数据
     */
    private List<HookLoadCatch> perColumnData;

    /**
     * 报警参考值:由上一柱数据计算得到
     */
    private BigDecimal alarmReferenceValue;

    /**
     * 当前点是否预警点
     */
    private Boolean isWarnNowPoint;

    /**
     *活动钻具波动值
     */
    private BigDecimal nowPointWohFluctuatedValue;

    /**
     * 是否为活动钻具
     */
    private Boolean isMobileDrillingTools;

    /**
     * 第一次钩载波动量
     */
    private BigDecimal firstPointWohFluctuatedValue;

    /**
     * 活动钻具预警缓存数据
     */
    private List<HookLoadCatch> mobileDrillingToolsData;

    /**
     * 活动钻具参考数据
     */
    private List<HookLoadCatch> referenceMobileDrillingToolsData;

    /**
     * 是否已判断工况
     */
    private Boolean ifDetermineWorkingConditions;

    /**
     * 活动钻具步骤 0:未开始 1 记录参考柱数据中 2待记录预警数据 3 记录预警数据中
     */
    private Integer mobileDrillingToolsStep;

    /**
     * 活动钻具参考柱起点数据
     */
    private HookLoadCatch referenceMobileDrillingToolsStartData;

    /**
     * 活动钻具预警起点数据
     */
    private HookLoadCatch mobileDrillingToolsStartData;
}
