package com.cn.tianji.common;

import com.cn.tianji.entity.TotalPoolVolumeCatch;
import com.cn.tianji.entity.TotalPoolVolumeWarnLog;
import com.cn.tianji.entity.WarnHistory;
import com.cn.tianji.entity.WellDrilling;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 总池体积缓存数据
 * @author Zhao RenJi
 */
@Data
public class PittotalCache implements Serializable {

    /**
     * 开始时间
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 变化速率开始时间
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date rateStartTime;

    /**
     * 速率计算起点体积
     */
    private BigDecimal rateStartPittotal;

    /**
     * 速率参考值缓存数据
     */
    private List<TotalPoolVolumeCatch> rateData;

    /**
     * 参考值缓存数据
     */
    private List<TotalPoolVolumeCatch> referenceData;
    /**
     *参考值
     */
    private BigDecimal referenceValue;


    private Date lastWarnDate;

    private List<TotalPoolVolumeCatch> warnListOld;

    /**
     * 预警缓存数据
     */
    private List<TotalPoolVolumeWarnLog> warnList;
}
