package com.cn.tianji.service;

import com.cn.tianji.entity.WellDrilling;

import java.math.BigDecimal;

/**
 * @author Zhao RenJi
 */
public interface CommonConditionDeterminationService {
    /**
     * 公共判断-是否停转
     * @param nowPoint 当前点数据
     * @param isRotationOffThreshold 停转阈值
     */
    public Boolean publicRotationOff(WellDrilling nowPoint, BigDecimal isRotationOffThreshold);

    /**
     * 公共判断-游车是否静止
     * @param nowPoint 当前点数据
     * @param perPoint 上一点点数据
     * @param blockldleThresholdBig 游车静止阈值
     */
    public Boolean publicBlockldle(WellDrilling nowPoint, WellDrilling perPoint, BigDecimal timeSubBig,BigDecimal blockldleThresholdBig);

    /**
     * 公共动作判断 判断是否停泵及立压是否为0
     * @param nowPoint 当前点数据
     * @param noFlowThresholdBig 停泵阈值
     * @param pressureZeroThresholdBig 立压是否为0阈值
     */
    public Boolean publicPumpAndSpp(WellDrilling nowPoint,BigDecimal noFlowThresholdBig, BigDecimal pressureZeroThresholdBig);

    /**
     * 公共动作判断 判断钻头/游车是否上行
     * @param nowPoint 当前点数据
     * @param perPoint 上一点点数据
     * @param timeSubBig 时间差
     * @param bitMovingUpThreshold 钻头上行阈值
     * @param blockMovingUpThreshold 游车上行阈值
     */
    public Boolean publicMovingUp(WellDrilling nowPoint, WellDrilling perPoint, BigDecimal timeSubBig, BigDecimal bitMovingUpThreshold,BigDecimal blockMovingUpThreshold);
}
