package com.cn.tianji.mapper;


import java.util.List;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cn.tianji.entity.SyncRecord;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

@DS("yjDataSource")
public interface SyncRecordMapper extends BaseMapper<SyncRecord> {

    @Override
    @Insert({"insert into sync_record (id,table_name,collect_time,working) values(#{record.id,jdbcType=VARCHAR},#{record.tableName,jdbcType=VARCHAR},#{record.collectTime,jdbcType=VARCHAR},#{record.working,jdbcType=VARCHAR})"})
    int insert(@Param("record") SyncRecord paramSyncRecord);

    @Update({"truncate table sync_record"})
    void truncate();

    @Select({"select id,table_name as tableName,collect_time as collectTime from sync_record"})
    List<SyncRecord> selectList();

    @Update({"update sync_record set collect_time=#{record.collectTime} where id=#{record.id}"})
    int updateTimeById(@Param("record") SyncRecord paramSyncRecord);

    @Delete({"delete from sync_record where id=#{id}"})
    void deleteById(@Param("id") String paramString);


}
