package com.cn.tianji.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cn.tianji.entity.SyncRecord;
import com.cn.tianji.entity.WellDrilling;
import com.cn.tianji.entity.WellNewTable;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;
import java.util.Map;

@DS("yjDataSource")
public interface Report3Mapper {

    @Select({"select table_name from USER_TABLES"})
    List<String> tableNames();

    void createTable(@Param("tableName") String paramString, @Param("timeStamp") long paramLong);

    void insertBatchByTableName(@Param("tableName") String paramString, @Param("dataList") List<Map<String, String>> paramList);

    void syncData(@Param("jhList") List<String> paramList, @Param("endTime") String paramString);

    String selectMaxTime(@Param("jh") String paramString);

    String selectMaxTimeFromDblink(@Param("jh") String paramString);

    List<Map<String, String>> selectDataByMaxTime(@Param("jh") String paramString1, @Param("maxTime") String paramString2);

    @Select({"<script>select count(*) from ${jh} @LJSS<where><if test='startTime!=null'>and time &gt; #{startTime}</if><if test='endTime!=null'>and time &lt; #{endTime}</if></where></script>"})
    long dataCounts(@Param("jh") String paramString1, @Param("startTime") String paramString2, @Param("endTime") String paramString3);

    @Insert({"insert into ${jh} SELECT * FROM ${jh} @LJSS where time < #{endTime}"})
    long syncHistoryData(@Param("jh") String paramString1, @Param("endTime") String paramString2);

    void syncCurrentData(@Param("record") SyncRecord paramSyncRecord);

    @Update({"drop table ${tableName}"})
    void dropTable(@Param("tableName") String paramString);

    @Select("select TABLE_NAME from WELL_NEW_TABLE")
    List<String> newTableNames();

    void insertNewTables(@Param("data") WellNewTable data);

    String getLastDateByJh(@Param("tableName") String tableName);

    String getFirstDateByJh(@Param("tableName") String tableName);

    void updateNewTable(WellNewTable wellNewTable);

    List<String> selectNeedSyncTable();

    void insertTableBatch(@Param("tableName") String tableName,@Param("dataList") List<WellDrilling> dataList);

    void updateSyncRecordByJh(@Param("jh")String jh , @Param("time") String time);

    void addColumnToMyTable(@Param("tableName") String tableName);

    @Select("select * from  ${jhTableName}  ${ew.customSqlSegment}")
    List<WellDrilling> selectList(@Param("jhTableName")String jhTableName, @Param("ew") QueryWrapper<WellDrilling> queryWrapper);
}
